<?PHP
declare(strict_types = 1);

/**
 * Custom exception class for invalid page parameters, which must be values of a
 * preset list of allowed values.
 */
final class MDpageParameterNotFromListException extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Invalid parameter: <b>' . $this->getMessage() . '</b>.';

    }
}
